%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Types-Serialiser
Version:       1.01
Release:       2mamba
Summary:       Types::Serialiser - simple data types for common serialisation formats
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Types-Serialiser-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-common-sense
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver

%description
Types::Serialiser - simple data types for common serialisation formats.

%prep
%setup -q -n Types-Serialiser-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc COPYING

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 1.01-2mamba
- rebuilt with perl 5.36.0

* Sun Dec 27 2020 Automatic Build System <autodist@mambasoft.it> 1.01-1mamba
- automatic update by autodist

* Sat Oct 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- package created using the webbuild interface
